<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>WIFI Wien</title>
        <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;1,100&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="./css/wifi_general.css">
        <link rel="prefetch" href="./css/wifi_style_a.css" id="wifi_style_a">        
        <link rel="prefetch" href="./css/wifi_style_b.css" id="wifi_style_b">
        <link rel="prefetch" href="./css/wifi_style_c.css" id="wifi_style_c">
        <link rel="prefetch" href="./css/wifi_style_d.css" id="wifi_style_d">
        <style>

            header, nav, article, aside, footer {
                border: 1px dotted black;
            }


            @media screen and (min-width: 0px) and (max-width: 640px) {
                /* Mobile */


            }

            @media screen and (min-width: 641px) and (max-width: 960px)  { 
                /* Tablet */

                 
            }      
            
            @media screen and (min-width: 961px) { 
                /* Desktop */

            }         

        </style>
    </head>
    <body>
        <header>
            <img src="https://www.wifiwien.at/assets/img/page-logo.png" alt="WIFI Logo"><span>WIFI WIEN</span>
            <span id="styles">
                <a onclick="toggleCSS('a');" href="#">A</a>|
                <a onclick="toggleCSS('b');" href="#">B</a>|
                <a onclick="toggleCSS('c');" href="#">C</a>|
                <a onclick="toggleCSS('d');" href="#">D</a>
            </span>            
        </header>
        <main>
            <nav class="desktop-col25 tablet-col50 phone-col100">
                <ul>
                    <li>IT Medien</li>
                    <li>Sprachen</li>
                    <li>Technik</li>
                    <li>Tourismus</li>
                </ul>
            </nav>

            <article class="desktop-col50 tablet-col50 phone-col100 ">
                <h1>Lern, dass dir viele Wege offen stehen</h1>
                <p>Rund 3.000 Kurse, Seminare und Lehrgänge – und damit genauso viele Wege, um sich zu entwickeln. Als größter Anbieter für berufliche Aus- und Weiterbildung ist das WIFI Wien der optimale Begleiter beim lebenslangen Lernen.</p>
            </article>

            <aside class="desktop-col25 tablet-col100 phone-col100">
                <div class="wifiaside">
                    <h2>Was ist LENA?</h2>
                    <p>Lebendig und nachhaltig lernen!</p>
                    <h2>Was bedeutet das?</h2>
                    <p>Lernen ist ein aktiver und individueller Prozess!</p>
                    <h2>Die Quintessenz?</h2>
                    <p>Lernen am WIFI darf <a href="https://www.wifi.at/Service/WIFI-Lernmodell%20LENA/Was%20ist%20das%20WIFI-Lernmodell%20LENA/S-P-A-S-S-Lernmodell" target="_blank" title="WIFI-Lernmodell LENA">S.P.A.S.S.</a>machen.</p>
                </div>
            </aside>
        </main>

        <div></div>
        
        <footer>
            <span>WIFI Wien
                Währinger Gürtel 97, 1180 Wien
                Telefon: +43 1 476 77
                E-Mail: Kundenservice@wifiwien.at
            </span>
        </footer>

        <script>
            function toggleCSS(id) {
                const links = document.querySelectorAll('link[id^="wifi_style_"]');
                links.forEach(element => { element.setAttribute('rel','prefetch') });

                const link = document.querySelector('link[id="wifi_style_' + id + '"]');
                if(link) link.setAttribute('rel','stylesheet');  
            }   
            
            // Default
            toggleCSS('a');
        </script>
    </body>
</html>
